Skip to main content
`Ctrl`+`K`

# PetscSortIntWithDataArray

Sorts an array of `PetscInt` in place in increasing order; changes a second array to match the sorted first INTEGER array. Unlike other sort routines, the user must provide workspace (the size of an element in the data array) to use when sorting.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortIntWithDataArray(PetscCount n, PetscInt X[], void *Y, size_t size, void *t2)

Not Collective, No Fortran Support

## Input Parameters

- n - number of values

- X - array of `PetscInt`

- Y - second array of data

- size - sizeof elements in the data array in bytes

- t2 - workspace of “size” bytes used when sorting

## See Also

`PetscTimSortWithArray()`, `PetscSortReal()`, `PetscSortIntWithPermutation()`, `PetscSortInt()`, `PetscSortIntWithArray()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages